Subject: Re: Qpopper quesiton
To: Manuel Bouyer <>
From: Bob Nestor <>
List: current-users
Date: 09/06/1999 11:47:36
Manuel Bouyer  ( wrote:

>On Sun, Sep 05, 1999 at 08:23:49PM -0500, Bob Nestor wrote:
>> I upgraded my system this weekend and installed 1.4.1 including the secr 
>> tarball.  Then I started building and installng some of the packages.  
>> Then I built qpopper, installed it, updated /etc/inetd.conf and did a 
>> "kill -HUP <inetd>".  When I try and connect to see if I can read mail I 
>> get:
>> /usr/libexec/ Undefined symbol "_des_key_sched" in 
>> qpopper:/usr/lib/
>> Looking at the build files it appears that because the Kerberos libraries 
>> are on my system qpopper was built with Kerberos support.  Do I have to 
>> fully configure Kerberos on my system to get qpopper to work?
>No, I guess the best thing to do would be to reompile qpopper from pkgsrc.

I did and with the secr.tgz tarball installed qpopper insists on building 
a Kerberos enabled version which doesn't seem to work without Kerberos 

I've managed to hack the pkg installation to force it to build without 
Kerberos and that works on the system.  I've been exchanging e-mail with 
Christoph Badura, and he thinks there's a build problem in the package 
(unless I'm misunderstanding him).  I think he's looking into the problem 
now though.